LdLinker (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.gcc.LdLinker class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks.gcc
Class LdLinker

    java.lang.Object
      net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
          net.sf.antcontrib.cpptasks.compiler.AbstractLinker
              net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
                  net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
                      net.sf.antcontrib.cpptasks.gcc.LdLinker

All Implemented Interfaces:
  java.lang.Cloneable, Linker, Processor

    public final class LdLinker

extends AbstractLdLinker

Adapter for the 'ld' linker

Author:
  Curt Arnold

Field Summary

Fields inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`DEFAULT_DISCARD_BID, DEFAULT_PROCESS_BID`

Method Summary
`static LdLinker` | `getInstance()`
`Linker` | `getLinker(LinkType type)` Gets the linker for the specified link type.

Methods inherited from class net.sf.antcontrib.cpptasks.gcc.AbstractLdLinker
`addBase, addEntry, addFixed, addImpliedArgs, addIncremental, addLibraryPatterns, addLibrarySets, addMap, addStack, getCommandFileSwitch, getDynamicLibFlag, getEnvironmentIncludePath, getLibraryKey, getLibraryPath, getLibraryPatterns, getMaximumCommandLength, getOutputFileNames, getOutputFileSwitch, getStaticLibFlag, isCaseSensitive, isHPUX, prepareArguments`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.CommandLineLinker
`createConfiguration, decorateLinkerOption, getCommand, getIdentifier, getLibtoolLinker, getOutputFileSwitch, getStartupObject, link, prepareFilename, prepareResponseFile, quoteFilename, runCommand, setCommand`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractLinker
`addVersionFiles, bid, changeEnvironment, createConfiguration`

Methods inherited from class net.sf.antcontrib.cpptasks.compiler.AbstractProcessor
`clone, getHeaderExtensions, getIdentifier, getOSArch, getOSName, getSourceExtensions, isDarwin, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getInstance

    public static LdLinker getInstance()

### getLinker

    public Linker getLinker(LinkType type)

  Description copied from interface: `Linker`
  Gets the linker for the specified link type.

  Returns:
    appropriate linker or null, will return this if this linker can handle the specified link type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.